[pypy-commit] pypy default: Stop early if $branchname or $tagname are invalid

arigo pypy.commits at gmail.com
Wed Apr 20 14:49:36 EDT 2016


Author: Armin Rigo <arigo at tunes.org>
Branch: 
Changeset: r83792:b3a73ac614ea
Date: 2016-04-20 09:11 +0200
http://bitbucket.org/pypy/pypy/changeset/b3a73ac614ea/

Log:	Stop early if $branchname or $tagname are invalid

diff --git a/pypy/tool/release/repackage.sh b/pypy/tool/release/repackage.sh
--- a/pypy/tool/release/repackage.sh
+++ b/pypy/tool/release/repackage.sh
@@ -3,7 +3,11 @@
 min=1
 rev=0
 branchname=release-$maj.x  # ==OR== release-$maj.$min.x
-tagname=release-$maj.$min.$rev
+tagname=release-$maj.$min  # ==OR== release-$maj.$min.$rev
+
+hg log -r $branchname || exit 1
+hg log -r $tagname || exit 1
+
 # This script will download latest builds from the buildmaster, rename the top
 # level directory, and repackage ready to be uploaded to bitbucket. It will also
 # download source, assuming a tag for the release already exists, and repackage them.


More information about the pypy-commit mailing list